<?php 
header('Content-type: text/html; charset=UTF-8');

$value_api      = 'type_your_api_here';
$value_secret   = 'type_your_secret_here';
#
if (isset ($_POST['submit']))
     {  $value_api      = trim($_POST['api']);
        $value_secret   = trim($_POST['secret']); 
        echo '<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8"/>
<title>Find your weathercloud station</title>
</head>
<body style="width: 800px; margin: 0 auto;">
<div style="text-align: center;"><br />
<h3>PWS_Dashboard: Find station number for WeatherLink Cloud v2API</h3>';        
        #unset ($_POST['submit']);
        $now            = time();
        $data           = 'api-key'.$value_api.'t'.$now;
        $apiSignature   = hash_hmac("sha256", $data, $value_secret);
        #
        $url_stations   = "https://api.weatherlink.com/v2/stations/".
          "?api-key=" . $value_api . 
          "&api-signature=" . $apiSignature . 
          "&t=" . $now;
        #
        $ch     = curl_init(); 
        curl_setopt($ch, CURLOPT_URL,$url_stations);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT,10); // connection timeout
        curl_setopt($ch, CURLOPT_TIMEOUT,10);        // data timeout 
        $result = curl_exec ($ch);
        $info	= curl_getinfo($ch);
        $error  = curl_error($ch);
        curl_close ($ch);
        $text   = '';
        $message= '';
        if ($info['http_code'] <> '200') 
             {  $message= '<b style="color: red;">An error occured</b>
If you can not find the correct station-nr in the text-block below, press <a href="index.php"> here  </a>to start again';}
        else {  $result = json_decode( $result,true);
                $result = print_r($result,true);}
        $text   .= 'Returncode ='.$info['http_code'].PHP_EOL.PHP_EOL;
        $text   .= $result;        
        #
        echo '<br />Now loading the list of stations with this URL:<br /><small>'.$url_stations.'</small><br />'
        .$message.'<br />
<textarea disabled style="width: 600px; height: 300px; margin: 0 auto; ">
'.$text.'
</textarea><br />
Now copy  <br />
your API Key v2 <b>'.$value_api.'</b><br /> 
and your API Secret  <b>'.$value_secret.'</b><br />
and your <b>station ID</b>  to your easyweather settings as in the picture below<br />
<img src="easyweather.jpeg" alt="screen shot" style=" width:600px; margin:0 auto;">
</div>
</html> ';    
        }
if (!isset ($_POST['submit']))
     {  echo '<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8"/>
<title>Find your weathercloud station</title>
</head>
<body style="width: 800px; margin: 0 auto;">
<div style="text-align: center;"><br />
<h3>PWS_Dashboard: Find station number for WeatherLink Cloud v2API</h3>
<hr />
Go to <a href="https://www.weatherlink.com/" target="_blank">Weatherlink.com</a> and Login to your account
<br />
Click on the three lines at the right<br />
<img src="click_lines.jpeg" alt="screen shot" style = " width:300px; margin:0 auto;" />
<hr />
Click on the person figure<br />
<img src="and_here.jpeg" alt="screen shot" style = " width:300px; margin:0 auto;" />
<hr />
On the bottom left you will see your v2 API credentilas.<br />If needed click on the button "generate" if the fields are empty.<br />
<img src="account.jpeg" alt="screen shot" style = " width:300px; margin:0 auto;" />
<hr />
Copy the values to the two fields below
<div style = " width:600px; margin:0 auto; color:rgba(24, 25, 27, 1.000); border:solid 1px grey; padding:10px; border-radius:4px;" >
<form action = "./index.php" method="post" name="keys" > 
<center>
Enter your <b> API Key v2</b>:
<br />
    <input name = "api"  style="width: 300px; text-align: center;"  value="'.$value_api.'"/>  
<br /> <br />     
Enter your <b> API Secret:</b>:<br />
    <input name = "secret" style="width: 300px; text-align: center;" value="'.$value_secret.'"/>  
<br /><br />
    <input type = "submit" name= "submit" value="Go find my station number" /> 
</center>         
</form>
</div>
Then click on the button to find your station-number(s)
<br /><br />
</div>
</body>
</html>';}


